Index: uspace/srv/loader/main.c
===================================================================
--- uspace/srv/loader/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
+++ uspace/srv/loader/main.c	(revision cbb37b60574b56acd864c01b9afca6a0ce28867f)
@@ -90,5 +90,5 @@
 static bool connected = false;
 
-static void ldr_get_taskid(cap_call_handle_t rid, ipc_call_t *request)
+static void ldr_get_taskid(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	cap_call_handle_t chandle;
@@ -100,5 +100,5 @@
 	if (!async_data_read_receive(&chandle, &len)) {
 		async_answer_0(chandle, EINVAL);
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -108,13 +108,13 @@
 
 	async_data_read_finalize(chandle, &task_id, len);
-	async_answer_0(rid, EOK);
+	async_answer_0(req_handle, EOK);
 }
 
 /** Receive a call setting the current working directory.
  *
- * @param rid
- * @param request
- */
-static void ldr_set_cwd(cap_call_handle_t rid, ipc_call_t *request)
+ * @param req_handle
+ * @param request
+ */
+static void ldr_set_cwd(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	char *buf;
@@ -128,18 +128,18 @@
 	}
 
-	async_answer_0(rid, rc);
+	async_answer_0(req_handle, rc);
 }
 
 /** Receive a call setting the program to execute.
  *
- * @param rid
- * @param request
- */
-static void ldr_set_program(cap_call_handle_t rid, ipc_call_t *request)
+ * @param req_handle
+ * @param request
+ */
+static void ldr_set_program(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	cap_call_handle_t write_chandle;
 	size_t namesize;
 	if (!async_data_write_receive(&write_chandle, &namesize)) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -148,5 +148,5 @@
 	errno_t rc = async_data_write_finalize(write_chandle, name, namesize);
 	if (rc != EOK) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -155,5 +155,5 @@
 	rc = vfs_receive_handle(true, &file);
 	if (rc != EOK) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -161,13 +161,13 @@
 	progname = name;
 	program_fd = file;
-	async_answer_0(rid, EOK);
+	async_answer_0(req_handle, EOK);
 }
 
 /** Receive a call setting arguments of the program to execute.
  *
- * @param rid
- * @param request
- */
-static void ldr_set_args(cap_call_handle_t rid, ipc_call_t *request)
+ * @param req_handle
+ * @param request
+ */
+static void ldr_set_args(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	char *buf;
@@ -194,5 +194,5 @@
 		if (_argv == NULL) {
 			free(buf);
-			async_answer_0(rid, ENOMEM);
+			async_answer_0(req_handle, ENOMEM);
 			return;
 		}
@@ -226,16 +226,16 @@
 	}
 
-	async_answer_0(rid, rc);
+	async_answer_0(req_handle, rc);
 }
 
 /** Receive a call setting inbox files of the program to execute.
  *
- * @param rid
- * @param request
- */
-static void ldr_add_inbox(cap_call_handle_t rid, ipc_call_t *request)
+ * @param req_handle
+ * @param request
+ */
+static void ldr_add_inbox(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	if (inbox_entries == INBOX_MAX_ENTRIES) {
-		async_answer_0(rid, ERANGE);
+		async_answer_0(req_handle, ERANGE);
 		return;
 	}
@@ -244,5 +244,5 @@
 	size_t namesize;
 	if (!async_data_write_receive(&write_chandle, &namesize)) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -251,5 +251,5 @@
 	errno_t rc = async_data_write_finalize(write_chandle, name, namesize);
 	if (rc != EOK) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -258,5 +258,5 @@
 	rc = vfs_receive_handle(true, &file);
 	if (rc != EOK) {
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return;
 	}
@@ -272,19 +272,19 @@
 	inbox[inbox_entries].file = file;
 	inbox_entries++;
-	async_answer_0(rid, EOK);
+	async_answer_0(req_handle, EOK);
 }
 
 /** Load the previously selected program.
  *
- * @param rid
+ * @param req_handle
  * @param request
  * @return 0 on success, !0 on error.
  */
-static int ldr_load(cap_call_handle_t rid, ipc_call_t *request)
+static int ldr_load(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int rc = elf_load(program_fd, &prog_info);
 	if (rc != EE_OK) {
 		DPRINTF("Failed to load executable for '%s'.\n", progname);
-		async_answer_0(rid, EINVAL);
+		async_answer_0(req_handle, EINVAL);
 		return 1;
 	}
@@ -300,5 +300,5 @@
 	pcb.inbox_entries = inbox_entries;
 
-	async_answer_0(rid, EOK);
+	async_answer_0(req_handle, EOK);
 	return 0;
 }
@@ -306,9 +306,9 @@
 /** Run the previously loaded program.
  *
- * @param rid
+ * @param req_handle
  * @param request
  * @return 0 on success, !0 on error.
  */
-static __attribute__((noreturn)) void ldr_run(cap_call_handle_t rid,
+static __attribute__((noreturn)) void ldr_run(cap_call_handle_t req_handle,
     ipc_call_t *request)
 {
@@ -320,5 +320,5 @@
 	/* Run program */
 	DPRINTF("Reply OK\n");
-	async_answer_0(rid, EOK);
+	async_answer_0(req_handle, EOK);
 	DPRINTF("Jump to entry point at %p\n", pcb.entry);
 	entry_point_jmp(prog_info.finfo.entry, &pcb);
@@ -332,5 +332,6 @@
  * to execute the loaded program).
  */
-static void ldr_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+static void ldr_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
+    void *arg)
 {
 	/* Already have a connection? */
